Nimbu Developer Docs
ReferenceArticles

List blog articles

GET
/blogs/{blog_id}/articles

Lists articles published within the specified blog, honoring filters and pagination.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

blog_id*string

Blog identifier

Response Body

application/json

curl -X GET "https://example.com/blogs/string/articles"
[
  {
    "id": "string",
    "url": "http://example.com",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "publish_at": "2019-08-24T14:15:22Z",
    "status": "string",
    "locales": [
      "string"
    ],
    "header": {},
    "thumbnail": {},
    "og_image": {},
    "og_fb_publisher": "string",
    "og_tw_creator": "string",
    "next_article": {},
    "previous_article": {},
    "author": "string",
    "public_url": "http://example.com",
    "fullpath": "string",
    "slug": "string",
    "title": "string",
    "text_content": "string",
    "text_excerpt": "string",
    "seo_title": "string",
    "seo_description": "string",
    "seo_keywords": "string",
    "tags": [
      "string"
    ],
    "slugified_tags": [
      "string"
    ]
  }
]